repo/gentoo:master commit in: dev-lang/lfe/

Maciej Barć <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786282303.94713875dc6ade3e6bea002cc15fbe242d9deab4.xgqt@gentoo>
commit:     94713875dc6ade3e6bea002cc15fbe242d9deab4
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 12:02:35 2026 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 13:31:43 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94713875

dev-lang/lfe: bump to 2.2.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/lfe/Manifest         |  1 +
 dev-lang/lfe/lfe-2.2.2.ebuild | 65 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-lang/lfe/Manifest b/dev-lang/lfe/Manifest
index 2b82c6ed8bc8..57c245fcd0f2 100644
--- a/dev-lang/lfe/Manifest
+++ b/dev-lang/lfe/Manifest
@@ -1 +1,2 @@
 DIST lfe-2.2.0.tar.gz 390120 BLAKE2B caa032232b8cd576bfa834d10d2cdcd8d3b44fb25426fbf408baa414ec413d1d5def24d774464f2812a42ec6f76b3d3b29131f7fee9bd08075d35117365f4db4 SHA512 029cbc638f1c125fbb9053de5f7bb1d261575e6f390e38133f34d3bc6f2905c4d8aab7c8cdff5ba67ddbdfcd6546e37c66924104e8d825247513dee829a170df
+DIST lfe-2.2.2.gh.tar.gz 402171 BLAKE2B db73eb8653e7ef1f6c9d4a6474f7f51013397069638c862dd10a0b48e9d3953d3a39123a6029e423a727347f38723825c7074f6d77ddcab716dd2758f5d3311d SHA512 afbc71736fbfff31e7b018a272d9fcec2a5e4d3f0670a3ea1afea695a480a192c08025930c7a4530a177e0e0830c2316f82307cb06831c3ac7d5547aa8ab1a67

diff --git a/dev-lang/lfe/lfe-2.2.2.ebuild b/dev-lang/lfe/lfe-2.2.2.ebuild
new file mode 100644
index 000000000000..8d9f209d4f27
--- /dev/null
+++ b/dev-lang/lfe/lfe-2.2.2.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit elisp-common toolchain-funcs
+
+DESCRIPTION="Lisp-flavoured Erlang, a lisp syntax front-end to the Erlang compiler"
+HOMEPAGE="https://lfe.io/
+	https://github.com/rvirding/lfe/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_BRANCH="develop"
+	EGIT_REPO_URI="https://github.com/rvirding/${PN}"
+else
+	SRC_URI="https://github.com/rvirding/${PN}/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="emacs"
+
+RDEPEND="
+	dev-lang/erlang
+	emacs? ( >=app-editors/emacs-23.1:* )
+"
+BDEPEND="
+	${RDEPEND}
+"
+
+SITEFILE="70${PN}-gentoo-r1.el"
+
+src_compile() {
+	emake HOSTCC="$(tc-getCC) ${CFLAGS} ${LDFLAGS}" compile
+
+	if use emacs ; then
+		cd emacs || die
+		elisp-compile ./*.el
+		elisp-make-autoload-file
+	fi
+}
+
+src_install() {
+	insinto "/usr/$(get_libdir)/erlang/lib/lfe/"
+	doins -r ebin
+	dobin ./bin/*
+	dodoc doc/*.txt
+	doman doc/man/*
+
+	if use emacs ; then
+		elisp-install lfe emacs/*
+		elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+	fi
+}
+
+pkg_postinst() {
+	use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+	use emacs && elisp-site-regen
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.